
#include "util/unordered-util.h"
#include "util/file-util.h"

namespace CONFIG {

  class Get_Neighbors {
  public:
    static unordered_map<string, unordered_set<string> > all_candidates;  // the candidate translation for teach word
    static unordered_map<string, int> all_candicounts;  // the counts (in sentence) for each candidate

    static void get_nbs(const string& line, const int line_num, const string& neighbor_type, vector<string>* neighbors);
  };
}
