
//
// string utilities
//

#ifndef _util_string_util_h_
#define _util_string_util_h_

#include "common.h"

namespace UTIL {
  void to_lower(string* str);

  istream& getline( istream& is, string* s, char delimiter = '\n' );

  void split_string_using(const string& full,
			  const char* delim,
			  vector<string>* result);

  void remove_redundancy(vector<string>* result);

  template <typename ITR> static inline void SplitStringToIteratorUsing(const string& full,
									const char* delim,
									ITR& result);

}  // namespace UTIL

#endif  // _util_string_util_h_
