
#include <cmath>
#include "util/swap-field.h"

const int debug_level = 2;

namespace UTIL {

  void Swap_Field::swap_field(const string& in, const string& out) {
    char cmd1[256];
    sprintf(cmd1,
	    "cut -d \"	\" -f1 %s > tmp1",
	    in.c_str());
    system(cmd1);
    
    char cmd2[256];
    sprintf(cmd2,
	    "cut -d \"	\" -f2 %s > tmp2",
	    in.c_str());
    system(cmd2);
    
    char cmd3[256];
    sprintf(cmd3,
	    "paste -d \"	\" tmp2 tmp1 > %s",
	    out.c_str());
    system(cmd3);
  }

}  // namespace
