
//
// string utilities
//

#ifndef _topk_
#define _topk_

#include <queue>
#include <vector>
#include <string>
using namespace std;

namespace WORDALIGN_COMMON {

  static const int TOPK = 20;
  static const int TOPK2 = 8;
  
  // given a pair<double, string>, compare according to the first item
  class topk {
  public:
    bool operator () (const pair<double, string>& p1, const pair<double, string>& p2) {
      return p1.first > p2.first;
    }
  };

  class topk3 {
  public:
    bool operator () (const pair<double, pair<string, string> >& p1, const pair<double, pair<string, string> >& p2) {
      return p1.first > p2.first;
    }
  };

  // to be removed
  class topk2 {
  public:
    bool operator () (const pair<double, pair<int, string> >& p1, const pair<double, pair<int, string> >& p2) {
      return p1.first > p2.first;
    }
  };


}  // namespace 

#endif  // _util_prob_table_h_
