
// fert1.h
#include <vector>
#include <cstdlib>
#include <iostream>
#include <fstream>
#include "util/unordered-util.h"

using namespace std;

namespace WORDALIGN_COMMON {

  /*
    A simple fertility model that adds a prior for the fertility distribution.
    It assums *uniform* fertility probability.
    It assumes *uniform* distortion probability.
  */
  class Eval {
  public:
    // static void eval(const string& str, const string& msg, const string& prefix, int loop);
    static double eval_new(const string& key_afile, const unordered_map<int, unordered_map<int, unordered_map<int, bool> > >& result, const string& prefix, int loop);
    static void read_afile(const string& file, 
			   //
			   unordered_map<int, unordered_map<int, unordered_map<int, bool> > >* key_s,
			   unordered_map<int, unordered_map<int, unordered_map<int, bool> > >* key_p);
  };

}
